> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdrawal Fee

> Get withdrawal fee and minimum amount information for a given asset without creating a quote. Returns fee details per network.

**Required API Key Scopes:** `read`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/wallet/info/fee
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet/info/fee:
    get:
      tags:
        - Info
      summary: Withdrawal Fee
      description: >-
        Get withdrawal fee and minimum amount information for a given asset
        without creating a quote. Returns fee details per network.


        **Required API Key Scopes:** `read`
      operationId: walletinfofeewithdrawalfee
      parameters:
        - name: asset
          in: query
          required: true
          description: Asset symbol (e.g. BTC, ETH)
          schema:
            type: string
        - name: network
          in: query
          required: false
          description: Network filter. If omitted, returns all networks for the asset
          schema:
            type: string
        - name: amount
          in: query
          required: false
          description: Amount intended to withdraw for more accurate fee calculation
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  asset:
                    type: string
                  exchange:
                    type: string
                  networks:
                    type: array
                    items:
                      type: object
                      properties:
                        network:
                          type:
                            - string
                            - 'null'
                        fee:
                          type:
                            - number
                            - 'null'
                        feeAsset:
                          type: string
                        feeType:
                          type: string
                        minimumWithdrawal:
                          type:
                            - number
                            - 'null'
                        maximumWithdrawal:
                          type:
                            - number
                            - 'null'
                      required:
                        - network
                        - fee
                        - feeAsset
                        - feeType
                        - minimumWithdrawal
                        - maximumWithdrawal
                required:
                  - asset
                  - exchange
                  - networks
              example:
                asset: BTC
                exchange: kraken
                networks:
                  - network: Bitcoin
                    fee: 0.000015
                    feeAsset: BTC
                    feeType: fixed
                    minimumWithdrawal: 0.000218
                    maximumWithdrawal: null
                  - network: Lightning
                    fee: 0
                    feeAsset: BTC
                    feeType: fixed
                    minimumWithdrawal: 0.00001
                    maximumWithdrawal: null
                  - network: Ethereum (kBTC)
                    fee: 0
                    feeAsset: BTC
                    feeType: fixed
                    minimumWithdrawal: 0.00002
                    maximumWithdrawal: null
                  - network: OP Mainnet (kBTC)
                    fee: 0
                    feeAsset: BTC
                    feeType: fixed
                    minimumWithdrawal: 0.00002
                    maximumWithdrawal: null
                  - network: Ink (kBTC)
                    fee: 0
                    feeAsset: BTC
                    feeType: fixed
                    minimumWithdrawal: 0.00006
                    maximumWithdrawal: null
                  - network: Unichain (kBTC)
                    fee: 0
                    feeAsset: BTC
                    feeType: fixed
                    minimumWithdrawal: 0.00006
                    maximumWithdrawal: null
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - INFO_ASSET_REQUIRED
                      - INFO_FEE_EXCHANGE_NOT_SUPPORTED
                      - WITHDRAWAL_ASSET_NOT_SUPPORTED
                required:
                  - error
                  - type
              example:
                error: 'Missing required query parameter: asset'
                type: INFO_ASSET_REQUIRED
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: WALLET_NOT_FOUND
                required:
                  - error
                  - type
              example:
                error: Wallet not found
                type: WALLET_NOT_FOUND
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````